Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.server.rest.domain
Enum TraverserReturnType

    java.lang.Object
      java.lang.Enum<TraverserReturnType>
          org.neo4j.server.rest.domain.TraverserReturnType

All Implemented Interfaces:
  Serializable, Comparable<TraverserReturnType>

    public enum TraverserReturnType

extends Enum<TraverserReturnType>

Enum Constant Summary
`fullpath`
`node`
`path`
`relationship`

Field Summary
`RepresentationType` | `repType`

Method Summary
`abstract MappingRepresentation` | `toRepresentation(Path position)`
`static TraverserReturnType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TraverserReturnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### node

    public static final TraverserReturnType node

### relationship

    public static final TraverserReturnType relationship

### path

    public static final TraverserReturnType path

### fullpath

    public static final TraverserReturnType fullpath

Field Detail

### repType

    public final RepresentationType repType

Method Detail

### values

    public static TraverserReturnType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TraverserReturnType c : TraverserReturnType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TraverserReturnType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toRepresentation

    public abstract MappingRepresentation toRepresentation(Path position)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.